package cz.utb.tadis.attacks.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum SoftTargetTypeEnum {
    TRANSPORTATION("Doprava"),
    REFUGEE_IMMIGRANTS_CENTER("Místo či oblast s výskytem uprchlíků/imigrantů/azylantů"),
    RELIGIOUS_SITE("Náboženské místo"),
    HOSPITAL("Nemocnice"),
    CLUB_RESTAURANT("Noční klub či restaurace"),
    SHOPPING_CENTER("Obchod či obchodní centrum"),
    SOCIAL_EVENT("Společenská či kulturní akce"),
    SPORTS_EVENT("Sportovní akce"),
    EDUCATIONAL_FACILITY("Škola či školské zařízení"),
    TOURIST_CENTER("Turistické centrum"),
    STREET_PROMENADE_SQUARE("Ulice, promenádá či náměstí"),
    GOVERNMENT_BUILDING("Vládní budova");

    private String label;

    SoftTargetTypeEnum(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @JsonProperty
    public String getName() {
        return name();
    }
}
